module wei_flags
  !! FFTW flags

  !---------------
  implicit none

  integer, parameter, public :: dbl=selected_real_kind(10,50)

  integer :: fFTW_FORWARD
  parameter (fFTW_FORWARD=-1)
  integer :: fFTW_BACKWARD
  parameter (fFTW_BACKWARD=1)

  integer :: fFTW_REAL_TO_COMPLEX
  parameter (fFTW_REAL_TO_COMPLEX=-1)
  integer :: fFTW_COMPLEX_TO_REAL
  parameter (fFTW_COMPLEX_TO_REAL=1)

  integer :: fFTW_ESTIMATE
  parameter (fFTW_ESTIMATE=0)
  integer :: fFTW_MEASURE
  parameter (fFTW_MEASURE=1)

  integer :: fFTW_OUT_OF_PLACE
  parameter (fFTW_OUT_OF_PLACE=0)
  integer :: fFTW_IN_PLACE
  parameter (fFTW_IN_PLACE=8)

  integer :: fFTW_USE_WISDOM
  parameter (fFTW_USE_WISDOM=16)

  integer :: fFTW_THREADSAFE
  parameter (fFTW_THREADSAFE=128)

end module wei_flags



